proxy_headers_hash_max_size 1024;
proxy_headers_hash_bucket_size 512;
proxy_buffering on;
proxy_buffers 4 256k;
proxy_buffer_size 256k;
proxy_busy_buffers_size 256k;
proxy_temp_file_write_size 256k;
proxy_cache_bypass $http_pragma $http_authorization;
proxy_connect_timeout 90s;
proxy_hide_header X-Powered-By;
proxy_hide_header X-Frame-Options;
proxy_http_version 1.1;
proxy_ignore_headers Cache-Control Expires;
proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504 http_404;
proxy_no_cache $http_pragma $http_authorization;
proxy_pass_header Set-Cookie;
proxy_read_timeout 900;
proxy_redirect off;
proxy_send_timeout 900;
proxy_set_header Accept-Encoding '';
proxy_set_header Cookie $http_cookie;
proxy_set_header Host $host;
proxy_set_header Proxy '';
proxy_set_header Referer $http_referer;
proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
proxy_set_header X-Forwarded-Host $host;
proxy_set_header X-Forwarded-Server $host;
proxy_set_header X-Real-IP $remote_addr;
proxy_set_header X-Forwarded-Proto $scheme;
proxy_set_header X-Original-Request $request_uri;

